Bug 1571778 - [RFE][v2v] Validate RHV cluster based on conversion hosts configured
Summary: [RFE][v2v] Validate RHV cluster based on conversion hosts configured
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Ilanit Stein
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks: 1601090 1614245
TreeView+ depends on / blocked
 
Reported: 2018-04-25 12:13 UTC by Ilanit Stein
Modified: 2019-02-11 14:08 UTC (History)
12 users (show)

Fixed In Version: 5.10.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1614245 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:08:22 UTC
Category: Bug
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github https://github.com/manageiq miq_v2v_ui_plugin issues 251 0 None None None 2018-06-20 14:28:43 UTC

Description Ilanit Stein 2018-04-25 12:13:10 UTC
Description of problem:
There are cases that the RHV clusters might be irrelevant, for example when the hosts, residing on the clusters are not set as conversion hosts - which will eventually fail the migration.
In such cases, it would be better to filter those clusters 
(and RHV data centers too, once those will be added to the mapping wizard.  

Version-Release number of selected component (if applicable):
master.20180417121918_2dd64f8

Comment 2 Ilanit Stein 2018-04-25 12:47:15 UTC
Added a git issue: https://github.com/priley86/miq_v2v_ui_plugin/issues/251

Comment 3 Brett Thurber 2018-04-29 06:11:23 UTC
Upstream issue here:  https://github.com/priley86/miq_v2v_ui_plugin/issues/251

Comment 4 Brett Thurber 2018-07-25 02:26:25 UTC
Upstream issue:  https://github.com/manageiq/miq_v2v_ui_plugin/issues/251

Comment 5 Brett Thurber 2018-08-03 05:23:17 UTC
PR:  https://github.com/ManageIQ/miq_v2v_ui_plugin/pull/526

Comment 7 Satoe Imaishi 2018-08-20 17:41:38 UTC
https://github.com/ManageIQ/manageiq-v2v/pull/586

Comment 11 Ilanit Stein 2018-10-31 10:12:45 UTC
Verified on CFME-5.10.0.20/RHV-4.2.7-0.1.el7ev

Indeed there is a warning, displayed, when pressing a triangle icon, placed aside a RHV cluster, that has no relevant hosts for conversion.

Warning content:

"At least one host in the target cluster must be enabled as a conversion host. You can continue to create an infrastructure mapping that includes the target cluster, but conversion host enablement must be completed prior to migration execution."


Note You need to log in before you can comment on or make changes to this bug.